import * as THREE from 'three';
/**
 *
 * 相机的控制.
 * ->切换相机
 * ->设置视口大小
 * ->旋转和移动相机.
 *
 * @export
 * @class ViewCameraManage
 */
export declare class CameraUpdate {
    private m_CurCamera;
    private m_CameraArray;
    private m_Width;
    private m_Height;
    private m_ViewHeight;
    private m_Target;
    private m_Direction;
    private m_Orbit;
    m_MinViewHeight: number;
    m_MaxViewHeight: number;
    constructor();
    readonly Aspect: number;
    readonly Camera: THREE.Camera;
    ViewHeight: number;
    SetSize(width: number, height: number): void;
    /**
     * 平移相机.
     *
     * @param {THREE.Vector3} mouseMove
     * @memberof CameraControl
     */
    Pan(mouseMove: THREE.Vector3): void;
    Rotate(mouseMove: THREE.Vector3, target: THREE.Vector3): void;
    Zoom(scale: number, scaleCenter?: THREE.Vector3): void;
    ZoomExtensBox3(box3: THREE.Box3): void;
    LookAt(dir: THREE.Vector3): void;
    UpdateUp(): void;
    /**
     * 根据视口大小,设置相机视口范围.
     *
     * @returns
     * @memberof CameraControl
     */
    Update(): void;
    SwitchCamera(): void;
}
